<script lang="ts">
	import Channel from "$lib/components/Channel.svelte";
	import type { Message } from "$lib/types";

	let messages: Message[] = [];
	let author = "me";

	function send(e: CustomEvent<string>) {
		messages.push({
			author,
			body: e.detail,
		});
		messages = messages;
	}
</script>

<Channel history={messages} on:send={send} />
<input bind:value={author}>
